PHP Manual
Prev |  | Next

# xattr_get

(PECL)

xattr_get -- Get an extended attribute

## Description

string xattr_get ( string filename, string name [, int flags] )

This function gets the value of an extended attribute of a file.

Extended attributes have two different namespaces: user and root namespace. User namespace is available for all users while root namespace is available only for user with root privileges. xattr operates on user namespace by default, but you can change that using flags argument.

## Parameters

filename

  The file from which we get the attribute.

name

  The name of the attribute.

flags

  Table 1. Supported xattr flags

  `XATTR_DONTFOLLOW` | Do not follow the symbolic link but operate on symbolic link itself.
  `XATTR_ROOT` | Set attribute in root (trusted) namespace. Requires root privileges.

## Return Values

Returns a string containing the value or `FALSE` if the attribute doesn't exist.

## Examples

Example 1. Checks if system administrator has signed the file
`<?php $file = '/usr/local/sbin/some_binary'; $signature = xattr_get($file, 'Root signature', XATTR_ROOT); /* ... check if $signature is valid ... */ ?>`

## See Also

xattr_list()
xattr_set()
xattr_remove()

Prev | Home | Next
xattr Functions | Up | xattr_list